Summary:       Pure Java implementation of EdDSA
Name:          ed25519-java
Version:       0.3.0
Release:       3%{?dist}
License:       CC0
URL:           https://github.com/str4d/ed25519-java
Source0:       %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# https://github.com/str4d/ed25519-java/pull/78
Patch0001:     0001-EdDSAEngine.initVerify-Handle-any-non-EdDSAPublicKey.patch
Patch3000:     0002-Disable-test-that-relies-on-internal-sun-JDK-classes.patch

BuildRequires: maven-local mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin) mvn(org.hamcrest:hamcrest-all)

BuildArch:     noarch
ExclusiveArch: %{java_arches} noarch

%description
This is an implementation of EdDSA in Java. Structurally,
it is based on the ref10 implementation in SUPERCOP
(see https://ed25519.cr.yp.to/software.html).

There are two internal implementations:

 * A port of the radix-2^51 operations in ref10 - fast and
   constant-time, but only useful for Ed25519.
 * A generic version using BigIntegers for calculation - a
   bit slower and not constant-time, but compatible with
   any EdDSA parameter specification.


%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.


%prep
%autosetup -n %{name}-%{version} -p1
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :nexus-staging-maven-plugin

%mvn_file net.i2p.crypto:eddsa %{name} eddsa

%pom_xpath_remove pom:plugin/pom:configuration/pom:target
%pom_xpath_remove pom:plugin/pom:configuration/pom:source


%build
%mvn_build -- -Dmaven.compiler.release=11


%install
%mvn_install


%files -f .mfiles
%license LICENSE.txt
%doc README.md


%files javadoc -f .mfiles-javadoc
%license LICENSE.txt


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Miaojun Dong <zoedong@tencent.com> - 0.3.0-1
- initial build
